# _ImageAttribute Struct Reference

`#include <deprecate.h>`

## Data Fields

char * | key
char * | value
MagickBooleanType | compression
struct _ImageAttribute * | previous
struct _ImageAttribute * | next

## Field Documentation

char* _ImageAttribute::key

char * _ImageAttribute::value

MagickBooleanType _ImageAttribute::compression

struct _ImageAttribute* _ImageAttribute::previous`[read]`

struct _ImageAttribute * _ImageAttribute::next`[read]`

The documentation for this struct was generated from the following file:

- deprecate.h